<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../general.ent">
  %general-entities;
]>

<sect1 id="ch-system-file" role="wrap">
  <?dbhtml filename="file.html"?>

  <sect1info condition="script">
    <productname>file</productname>
    <productnumber>&file-version;</productnumber>
    <address>&file-url;</address>
  </sect1info>

  <title>File-&file-version;</title>

  <indexterm zone="ch-system-file">
    <primary sortas="a-File">File</primary>
  </indexterm>

  <sect2 role="package">
    <title/>

    <para>File 软件包包含用于确定给定文件类型的工具。</para>

    <segmentedlist>
      <segtitle>&buildtime;</segtitle>
      <segtitle>&diskspace;</segtitle>

      <seglistitem>
        <seg>&file-ch6-sbu;</seg>
        <seg>&file-ch6-du;</seg>
      </seglistitem>
    </segmentedlist>

  </sect2>

  <sect2 role="installation">
    <title>安装 File</title>

    <para>准备安装 File：</para>

<screen><userinput remap="configure">./configure --prefix=/usr</userinput></screen>

    <para>编译该软件包：</para>

<screen><userinput remap="make">make</userinput></screen>

    <para>运行以下命令以测试编译结果：</para>

<screen><userinput remap="test">make check</userinput></screen>

    <para>安装该软件包：</para>

<screen><userinput remap="install">make install</userinput></screen>

  </sect2>


  <sect2 id="contents-file" role="content">
    <title>File 的内容</title>

    <segmentedlist>
      <segtitle>安装的程序</segtitle>
      <segtitle>安装的库</segtitle>

      <seglistitem>
        <seg>file</seg>
        <seg>libmagic.so</seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">简要描述</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="file">
        <term><command>file</command></term>
        <listitem>
          <para>通过进行文件系统、魔数和语言等测试，
				尝试对每个给定的文件进行分类</para>
          <indexterm zone="ch-system-file file">
            <primary sortas="b-file">file</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="libmagic">
        <term><filename class="libraryfile">libmagic</filename></term>
        <listitem>
          <para>包含 <command>file</command> 程序使用的魔数识别子程序</para>
          <indexterm zone="ch-system-file libmagic">
            <primary sortas="c-libmagic">libmagic</primary>
          </indexterm>
        </listitem>
      </varlistentry>

    </variablelist>

  </sect2>

</sect1>
